org.apache.cassandra.thrift

## Class Cassandra.Processor.describe_partitioner<I extends Cassandra.Iface>

- java.lang.Object
- - org.apache.thrift.ProcessFunction<I,Cassandra.describe_partitioner_args>
  - - org.apache.cassandra.thrift.Cassandra.Processor.describe_partitioner<I>

Enclosing class:
  Cassandra.Processor<I extends Cassandra.Iface>

    public static class Cassandra.Processor.describe_partitioner<I extends Cassandra.Iface>
    extends org.apache.thrift.ProcessFunction<I,Cassandra.describe_partitioner_args>

### Constructor Summary

Constructors
Constructor and Description
`describe_partitioner()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Cassandra.describe_partitioner_args` `getEmptyArgsInstance()`
`Cassandra.describe_partitioner_result` `getResult(I iface, Cassandra.describe_partitioner_args args)`
`protected boolean` `isOneway()`

### Methods inherited from class org.apache.thrift.ProcessFunction

`getMethodName, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### describe_partitioner

    public describe_partitioner()

### Method Detail

#### getEmptyArgsInstance

    public Cassandra.describe_partitioner_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.describe_partitioner_args>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.describe_partitioner_args>`

#### getResult

    public Cassandra.describe_partitioner_result getResult(I iface,
                                                           Cassandra.describe_partitioner_args args)
                                                    throws org.apache.thrift.TException

Specified by:
  `getResult` in class `org.apache.thrift.ProcessFunction<I extends Cassandra.Iface,Cassandra.describe_partitioner_args>`
Throws:
  `org.apache.thrift.TException`